Bug 605788 - Dell rfkill takes a while to take hold
Dell rfkill takes a while to take hold
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: John Feeney
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 14:57 EDT by Bastien Nocera
Modified: 2013-01-10 02:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 16:46:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2010-06-18 14:57:25 EDT
kernel-2.6.32-36.el6.i686

$ rfkill event
RFKILL event: idx 0 type 1 op 0 soft 0 hard 0
RFKILL event: idx 1 type 1 op 0 soft 0 hard 0
RFKILL event: idx 2 type 2 op 0 soft 0 hard 0
RFKILL event: idx 3 type 5 op 0 soft 0 hard 0
RFKILL event: idx 13 type 2 op 0 soft 0 hard 0
<turn hardware rfkill on>
RFKILL event: idx 0 type 1 op 2 soft 0 hard 1
RFKILL event: idx 13 type 2 op 1 soft 0 hard 0
<a very long second>
RFKILL event: idx 1 type 1 op 2 soft 1 hard 1
RFKILL event: idx 2 type 2 op 2 soft 1 hard 1
RFKILL event: idx 3 type 5 op 2 soft 1 hard 1

So during a short while, I have a "dell-bluetooth" rfkill switch which is neither soft nor hard-blocked, where the Bluetooth device disappears straight away.

# When hard blocked.
$ rfkill list
0: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: yes
1: dell-wifi: Wireless LAN
	Soft blocked: yes
	Hard blocked: yes
2: dell-bluetooth: Bluetooth
	Soft blocked: yes
	Hard blocked: yes
3: dell-wwan: Wireless WAN
	Soft blocked: yes
	Hard blocked: yes
Comment 2 RHEL Product and Program Management 2010-06-18 15:23:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 RHEL Product and Program Management 2010-07-15 10:27:44 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Matthew Garrett 2010-11-24 16:46:49 EST
Dell inform me that some hardware doesn't update the status bits immediately, so this pause is required.

Note You need to log in before you can comment on or make changes to this bug.